Summary: The GNU macro processor.
Name: m4
Version: 1.4.1
Release: 5
Copyright: GPL
Group: Applications/Text
Source: ftp://ftp.gnu.org/gnu/m4/m4-1.4.1.tar.gz
Patch: m4-1.4.1-sec.patch
Buildroot: /var/tmp/m4-root
Prereq: /sbin/install-info
Prefix: /usr

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
autoconf
%configure
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
%makeinstall INSTALL_DATA="install -c -m644"
strip -R .comment $RPM_BUILD_ROOT/usr/bin/m4
[ -d $RPM_BUILD_ROOT/usr/info ] && mv $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/usr/share
gzip -9fn $RPM_BUILD_ROOT/usr/share/info/*

%files
%defattr(-,root,root)
%doc NEWS README
/usr/bin/m4
/usr/share/info/*

%post
/sbin/install-info /usr/share/info/m4.info.gz /usr/share/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/share/info/m4.info.gz /usr/share/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Feb 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- signal patch is not necessary anymore
- fix printf buffer overflow problem

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- added defattr

* Mon Jun  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance
- 1.4.1
- some fixes to spec file

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added info file handling and BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

